# Manage subscriptions

Solidgate API for subscriptions empowers merchants in efficiently and securely managing subscriptions for a positive customer experience and business growth.
Merchants can easily handle their subscriptions using the available methods such as switching subscription products, pausing and resuming services, cancelling subscriptions, and providing customers with the option to update payment information.

 - [POST /subscription/update](https://api-docs.solidgate.com/api/manage-subscriptions/update-subscription.md): By using this method, merchants can update an active subscription by modifying the trial period, applying a discount, or changing the product. It allows multiple changes in a single request for effici
 - [POST /subscription/switch-subscription-product](https://api-docs.solidgate.com/api/manage-subscriptions/switch-subscription-product.md): By using this method, merchants can update the product in the active subscription with a new one. After the switch request is made, a callback confirms the update and includes the new subscription pro
 - [POST /subscription/update-token](https://api-docs.solidgate.com/api/manage-subscriptions/update-subscription-token.md): This method provides a mechanism for merchants to update the payment token when the customer's preferred payment method changes.
 - [POST /subscriptions/{subscription_id}/pause-schedule](https://api-docs.solidgate.com/api/manage-subscriptions/create-subscription-pause.md): By using this method, merchants can schedule a subscription pause, setting the specific start and end dates for the pause period.
 - [PATCH /subscriptions/{subscription_id}/pause-schedule](https://api-docs.solidgate.com/api/manage-subscriptions/update-subscription-pause.md): By using this method, merchants can modify the existing pause schedule, including the possibility of adjusting the start and end dates of the pause period. Note that if the subscription pause is activ
 - [DELETE /subscriptions/{subscription_id}/pause-schedule](https://api-docs.solidgate.com/api/manage-subscriptions/delete-subscription-pause.md): This method provides a way to delete the scheduled pause, reverting the subscription to its previous active state or as specified.
 - [POST /subscription/cancel](https://api-docs.solidgate.com/api/manage-subscriptions/cancel-subscription.md): By using this method, merchants can cancel the specific subscription by its subscription identifier.
 - [POST /subscription/cancel-by-customer](https://api-docs.solidgate.com/api/manage-subscriptions/cancel-subscriptions-by-customer.md): By using this method, the merchant can cancel all subscriptions for the specific customer.
 - [POST /subscription/restore](https://api-docs.solidgate.com/api/manage-subscriptions/restore-subscription.md): By using this method, merchants can restore the specific subscription of their customer in case it was cancelled.
 - [POST Billing](https://api-docs.solidgate.com/api/manage-subscriptions/webhook-subscription-status.md): Webhooks for subscription status provide real-time notifications about changes in subscription status. The webhook structure is similar to the subscription status method but additionally includes the
